/* Universal Selector */
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/* CSS Rules
	selector{
		property:  value;
	}
*/

body {
	background-color: skyblue;
}

html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}

/* Selector: hover pseudo class */
/* changes the style when hovered over */
a:hover{
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float: right;
}

h1 {
	color: blue !important;
	text-align: center;
	font-size: 2rem;
}

h2 {
	font-size: 1.5rem;
}

section {
	height: 100vh;
	text-align: center;
}

/* Child Selector
	- used to select all elements that are the children of a specific element.
	- >
	- selector > selector
 */
 /* Multiple child approach */
body > section > form > label {
	color: rgba(0, 0, 128);
}

/* Adjacent Sibling Selector 
	- Used to select an element that is directly after another specific element
	- +
	- selector + selector
*/
h3 + img{
	height: 300px;
	border-width: 300px;
	border-radius: 150px;
}

ol {
	list-style-type: none;
}
/* ID Selector */
/* #id-name */
#zuitt-motto{
	letter-spacing: 5px;
}

/* Class Selector */
/* .class-name */
.offering-item{
	text-transform: uppercase;
}

/* Descendant Selector
	- used to match all elements that are descendants of a specific element
	- [whitespace]
	- selector selector
*/
#bootcamp-learning-list{
	color: #075966;
}

/* General Sibling Selector
	- used to select all elements that are next siblings of a specified element
	- ~
	- selector ~ selector
*/
h2 ~ a, a {
	text-decoration: none;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37%;
}

/* Attribute Selector */
/* tagname[attribute] */
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}

button {
	background-color: #cf0053;
	color: white;
	border:  0;
	border-radius: 15px;
}